﻿// Описания правок (исправлений)
//
// BSLLS:NestedFunctionInParameters-off - без лишних переменных выполнение быстрее
// BSLLS:EmptyRegion-off - пустые области разрешены

#Область ПрограммныйИнтерфейс

// Возвращает набор доступных правок
//
// Параметры: 
//
// Возвращаемое значение: 
// 	Массив
//
Функция Получить() Экспорт
	
	Результат	= Новый Массив();
	
	Результат.Добавить(ДокументЧекККМ_ФормаОплатыСБП());
	Результат.Добавить(ОтчетМониторБюджетногоПроцесса_ФормаОтчета_ВыводТочекПлатформаБольше20());
	Результат.Добавить(ОбработкаПомощникФормированияСкладскихДокументовПоВыводуИзАссортимента_Форма_РезультатЗапросаОстатковПоВыводуИзАссортимента());
	Результат.Добавить(ПродажиСервер_СформироватьЗапросВременнаяТаблицаКурсыВалют());
	Результат.Добавить(ОтчетДинамикаИзмененияЦенНоменклатуры2_5());
	Результат.Добавить(ОбменДаннымиСервер_НастройкиОбменаДляУзлаИнформационнойбазы());
	Результат.Добавить(РасчетСебестоимостиПрикладныеАлгоритмы_РегистраторыИзмененныеПриРасчете());
	Результат.Добавить(УстановкаЦенСервер_ОбновитьСерииЦенообразования());
	Результат.Добавить(ЭтапПроизводства2_2Локализация_УстановитьПараметрыВыборочнойРегистрацииКОтражениюВРеглУчете());	
	Результат.Добавить(СправочникВидыНоменклатуры_УстановитьРеквизитыЦенообразования());
	Результат.Добавить(ДокументРаспределениеПрочихЗатрат_ТекстЗапросаРасходыПослеРаспределенияИсточники());
	
	Возврат Результат;
	
КонецФункции // Получить 

// Исправляет отсутствие СБП
//	в форме выбора вида оплаты документа Чек ККМ
// 	добавляет принудительное отображение вида оплаты СБП
// 	даже при отсутствии заключенного СБП договора
//
// Параметры: 
//
// Возвращаемое значение: 
// 	Структура
//
Функция ДокументЧекККМ_ФормаОплатыСБП() Экспорт
	
	Результат	= исперп_Описание.Создать();
	
	Текст		= "Исправляет отсутствие СБП
	|в форме выбора вида оплаты документа Чек ККМ";
	
	исперп_Описание.Идентификатор(Результат, исперп_Идентификатор.ДокументЧекККМ_ФормаОплатыСБП());
	исперп_Описание.Вид(Результат, исперп_Вид.Функционал());
	исперп_Описание.Область(Результат, исперп_Область.Продажи());
	исперп_Описание.ВерсияМин(Результат, "2.5.10.52");
	исперп_Описание.ВерсияМакс(Результат, "2.5.11");
	исперп_Описание.Текст(Результат, Текст);
	исперп_Описание.Методы(Результат, "ОМ.РозничныеПродажиЛокализация.исперп_УстановитьВозможностьИспользованиеОплатыСБПНаФормахРМК
	|, Документ.ЧекККМ.ВыборФормыОплаты.исперп_ПриСозданииНаСервереПосле
	|, Документ.ЧекККМ.Форма.ФормаДокументаРМК.исперп_ПриСозданииНаСервереПеред");
	
	Возврат Результат;
	
КонецФункции // ДокументЧекККМ_ФормаОплатыСБП 

// Вывод точек (аналитики) на диаграмме отчета 
//	Монитор бюджетного процесса на платформах начиная с 8.3.21
//	типовой отчет рассчитан на младшие версии платформы и начиная
//	с платформы 8.3.21 точки НЕ выводятся, скрыты
//
// Параметры: 
//
// Возвращаемое значение: 
// 	Структура
//
Функция ОтчетМониторБюджетногоПроцесса_ФормаОтчета_ВыводТочекПлатформаБольше20() Экспорт
	
	Результат	= исперп_Описание.Создать();
	
	Текст		= "Вывод точек (аналитики) на диаграмме отчета 
	|Монитор бюджетного процесса на платформах начиная с 8.3.21
	|типовой отчет рассчитан на младшие версии платформы и начиная
	|с платформы 8.3.21 точки НЕ выводятся, скрыты";
	
	исперп_Описание.Идентификатор(Результат, исперп_Идентификатор.ОтчетМониторБюджетногоПроцесса_ФормаОтчета_ВыводТочекПлатформаБольше20());
	исперп_Описание.Вид(Результат, исперп_Вид.Функционал());
	исперп_Описание.Область(Результат, исперп_Область.Бюджетирование());
	исперп_Описание.ВерсияМин(Результат, "2.5.10.52");
	исперп_Описание.ВерсияМакс(Результат, "2.5.11");
	исперп_Описание.Текст(Результат, Текст);
	исперп_Описание.Методы(Результат, "Отчет.МониторБюджетногоПроцесса.ФормаОтчет.исперп_ЗаполнитьДиаграммуВФонеЗавершение");
	
	Возврат Результат;
	
КонецФункции // ДокументЧекККМ_ФормаОплатыСБП 

// Исправляет ошибку времени выполнения получения остатков товаров
// 	обработки ПомощникФормированияСкладскихДокументовПоВыводуИзАссортимента
//
// Параметры: 
//
// Возвращаемое значение: 
// 	Структура
//
Функция ОбработкаПомощникФормированияСкладскихДокументовПоВыводуИзАссортимента_Форма_РезультатЗапросаОстатковПоВыводуИзАссортимента() Экспорт
	
	Результат	= исперп_Описание.Создать();
	
	Текст		= "Исправляет ошибку времени выполнения получения остатков товаров
 	|обработки ПомощникФормированияСкладскихДокументовПоВыводуИзАссортимента";
	
	исперп_Описание.Идентификатор(Результат, исперп_Идентификатор
	.ОбработкаПомощникФормированияСкладскихДокументовПоВыводуИзАссортимента_Форма_РезультатЗапросаОстатковПоВыводуИзАссортимента());
	исперп_Описание.Вид(Результат, исперп_Вид.Код());
	исперп_Описание.Область(Результат, исперп_Область.Ассортимент());
	исперп_Описание.ВерсияМин(Результат, "2.5.10.52");
	исперп_Описание.ВерсияМакс(Результат, "2.5.11");
	исперп_Описание.Текст(Результат, Текст);
	исперп_Описание.Методы(Результат, "Обработка.ПомощникФормированияСкладскихДокументовПоВыводуИзАссортимента"
	+ ".Форма.исперп_РезультатЗапросаОстатковПоВыводуИзАссортимента");
	
	Возврат Результат;
	
КонецФункции // ОбработкаПомощникФормированияСкладскихДокументовПоВыводуИзАссортимента_Форма_РезультатЗапросаОстатковПоВыводуИзАссортимента 

// Исправляет ошибку времени выполнения при выполнении запроса проверки корректности
// 	документа продажи. Поймано при выполнении БП СогласованиеЗаявкиНаВозвратТоваровОтКлиента
//
// Параметры: 
//
// Возвращаемое значение: 
// 	Структура
//
Функция ПродажиСервер_СформироватьЗапросВременнаяТаблицаКурсыВалют() Экспорт
	
	Результат	= исперп_Описание.Создать();
	
	Текст		= "Исправляет ошибку времени выполнения при выполнении запроса проверки корректности
 	|документа продажи. Поймано при выполнении БП СогласованиеЗаявкиНаВозвратТоваровОтКлиента";

	Методы	= "ОМ.ПродажиСервер.исперп_СформироватьЗапросВременнаяТаблицаКурсыВалют";
	
	исперп_Описание.Идентификатор(Результат, исперп_Идентификатор
	.ПродажиСервер_СформироватьЗапросВременнаяТаблицаКурсыВалют());
	исперп_Описание.Вид(Результат, исперп_Вид.Код());
	исперп_Описание.Область(Результат, исперп_Область.Продажи());
	исперп_Описание.ВерсияМин(Результат, "2.5.10.52");
	исперп_Описание.ВерсияМакс(Результат, "2.5.11");
	исперп_Описание.Текст(Результат, Текст);
	исперп_Описание.Методы(Результат, Методы);
	
	Возврат Результат;
	
КонецФункции // ПродажиСервер_СформироватьЗапросВременнаяТаблицаКурсыВалют 

// Исправляет ошибку отсутствия данных отчета ОтчетДинамикаИзмененияЦенНоменклатуры2_5
// 	при использовании цен только на номенклатуру, без хранения цен для упаковок
//
// Параметры: 
//
// Возвращаемое значение: 
// 	Структура
//
Функция ОтчетДинамикаИзмененияЦенНоменклатуры2_5() Экспорт
	
	Результат	= исперп_Описание.Создать();
	
	Текст		= "Исправляет ошибку отсутствия данных отчета ОтчетДинамикаИзмененияЦенНоменклатуры2_5
 	|при использовании цен только на номенклатуру, без хранения цен для упаковок";

	Методы	= "Отчет.ДинамикаИзмененияЦенНоменклатуры2_5.исперп_ПриКомпоновкеРезультата";
	
	исперп_Описание.Идентификатор(Результат, исперп_Идентификатор
	.ОтчетДинамикаИзмененияЦенНоменклатуры2_5());
	исперп_Описание.Вид(Результат, исперп_Вид.Функционал());
	исперп_Описание.Область(Результат, исперп_Область.CRM());
	исперп_Описание.ВерсияМин(Результат, "2.5.10.52");
	исперп_Описание.ВерсияМакс(Результат, "2.5.11");
	исперп_Описание.Текст(Результат, Текст);
	исперп_Описание.Методы(Результат, Методы);
	
	Возврат Результат;
	
КонецФункции // ОтчетДинамикаИзмененияЦенНоменклатуры2_5 

// Ошибка при обмене данными при вызове из помощника обмена
//
// Параметры: 
//
// Возвращаемое значение: 
// 	Структура
//
Функция ОбменДаннымиСервер_НастройкиОбменаДляУзлаИнформационнойбазы() Экспорт
	
	Результат	= исперп_Описание.Создать();
	
	Текст		= "Ошибка при обмене данными при вызове из помощника обмена";

	Методы		= "ОМ.ОбменДаннымиСервер.исперп_НастройкиОбменаДляУзлаИнформационнойБазы";
	
	исперп_Описание.Идентификатор(Результат, исперп_Идентификатор
	.ОбменДаннымиСервер_НастройкиОбменаДляУзлаИнформационнойбазы());
	исперп_Описание.Вид(Результат, исперп_Вид.Код());
	исперп_Описание.Область(Результат, исперп_Область.ОбменДанными());
	исперп_Описание.ВерсияМин(Результат, "2.5.8.287");
	исперп_Описание.ВерсияМакс(Результат, "2.5.11");
	исперп_Описание.Текст(Результат, Текст);
	исперп_Описание.Методы(Результат, Методы);
	
	Возврат Результат;
	
КонецФункции // ОбменДаннымиСервер_НастройкиОбменаДляУзлаИнформационнойбазы 

// Возвращает набор доступных правок по ошибкам при загрузке Этапов производства с выпусками позднее периода расчета во время 
// расчета себестоимости 
//
// Параметры: 
//
// Возвращаемое значение: 
// 	Структура
//
Функция РасчетСебестоимостиПрикладныеАлгоритмы_РегистраторыИзмененныеПриРасчете() Экспорт
	
	Результат	= исперп_Описание.Создать();
	
	Текст	= "Исправляет ошибки при загрузке Этапов производства с выпусками позднее периода расчета 
	| во время расчета себестоимости, возвращено условие по периоду из 1С:ERP 2.5.7";

	Методы	= "ОМ.РасчетСебестоимостиПрикладныеАлгоритмы.исперп_РегистраторыИзмененныеПриРасчете";
	
	исперп_Описание.Идентификатор(Результат, исперп_Идентификатор
	.РасчетСебестоимостиПрикладныеАлгоритмы_РегистраторыИзмененныеПриРасчете());
	исперп_Описание.Вид(Результат, исперп_Вид.Код());
	исперп_Описание.Область(Результат, исперп_Область.Производство());
	исперп_Описание.ВерсияМин(Результат, "2.5.8.287");
	исперп_Описание.ВерсияМакс(Результат, "2.5.11");
	исперп_Описание.Текст(Результат, Текст);
	исперп_Описание.Методы(Результат, Методы);
	
	Возврат Результат;
	
КонецФункции // РасчетСебестоимостиПрикладныеАлгоритмы_РегистраторыИзмененныеПриРасчете 

// Возвращает набор доступных правок при ошибке записи серии при ценообразовании 
//
// Параметры: 
//
// Возвращаемое значение: 
// 	Структура
//
Функция УстановкаЦенСервер_ОбновитьСерииЦенообразования() Экспорт
	
	Результат	= исперп_Описание.Создать();
	
	Текст	= "Добавлена обработка исключения ошибки записи серии при ценообразовании
	|, запись в ЖР и вывод сообщения пользователю (Имя события:
	| исперп_Ценообразование2_5.УстановитьРеквизитыЦенообразования)";

	Методы	= "ОМ.УстановкаЦенСервер.исперп_ОбновитьСерииЦенообразования";
	
	исперп_Описание.Идентификатор(Результат, исперп_Идентификатор
	.УстановкаЦенСервер_ОбновитьСерииЦенообразования());
	исперп_Описание.Вид(Результат, исперп_Вид.Код());
	исперп_Описание.Область(Результат, исперп_Область.Ценообразование());
	исперп_Описание.ВерсияМин(Результат, "2.5.8.287");
	исперп_Описание.ВерсияМакс(Результат, "2.5.10.93");
	исперп_Описание.Текст(Результат, Текст);
	исперп_Описание.Методы(Результат, Методы);
	
	Возврат Результат;
	
КонецФункции // УстановкаЦенСервер_ОбновитьСерииЦенообразования

// Возвращает набор доступных правок при ошибке записи серии при ценообразовании 
//
// Параметры: 
//
// Возвращаемое значение: 
// 	Структура
//
Функция ЭтапПроизводства2_2Локализация_УстановитьПараметрыВыборочнойРегистрацииКОтражениюВРеглУчете() Экспорт
	
	Результат	= исперп_Описание.Создать();
	
	Текст	= "Исправляет ошибки обработку выборки данных этапов по дате отражения, включает день начала месяца";

	Методы	= "ОМ.ЭтапПроизводства2_2Локализация.исперп_УстановитьПараметрыВыборочнойРегистрацииКОтражениюВРеглУчете";
	
	исперп_Описание.Идентификатор(Результат, исперп_Идентификатор
	.ЭтапПроизводства2_2Локализация_УстановитьПараметрыВыборочнойРегистрацииКОтражениюВРеглУчете());
	исперп_Описание.Вид(Результат, исперп_Вид.Код());
	исперп_Описание.Область(Результат, исперп_Область.Производство());
	исперп_Описание.ВерсияМин(Результат, "2.5.8.287");
	исперп_Описание.ВерсияМакс(Результат, "2.5.11");
	исперп_Описание.Текст(Результат, Текст);
	исперп_Описание.Методы(Результат, Методы);
	
	Возврат Результат;
	
КонецФункции // ЭтапПроизводства2_2Локализация_УстановитьПараметрыВыборочнойРегистрацииКОтражениюВРеглУчете

// Возвращает набор доступных правок при ошибке записи вида номенклатуры при ценообразовании 
//
// Параметры: 
//
// Возвращаемое значение: 
// 	Структура
//
Функция СправочникВидыНоменклатуры_УстановитьРеквизитыЦенообразования() Экспорт
	
	Результат	= исперп_Описание.Создать();
	
	Текст	= "Добавлена обработка исключения ошибки записи вида номенклатуры при ценообразовании
	|, запись в ЖР и вывод сообщения пользователю (Имя события ЖР:
	| исперп_Ценообразование2_5.УстановитьРеквизитыЦенообразования)";

	Методы	= "Справочник.ВидыНоменклатуры.исперп_УстановитьРеквизитыЦенообразования";
	
	исперп_Описание.Идентификатор(Результат, исперп_Идентификатор
	.СправочникВидыНоменклатуры_УстановитьРеквизитыЦенообразования());
	исперп_Описание.Вид(Результат,исперп_Вид.Код());
	исперп_Описание.Область(Результат, исперп_Область.Ценообразование());
	исперп_Описание.ВерсияМин(Результат, "2.5.8.287");
	исперп_Описание.ВерсияМакс(Результат, "2.5.11");
	исперп_Описание.Текст(Результат, Текст);
	исперп_Описание.Методы(Результат, Методы);
	
	Возврат Результат;
	
КонецФункции // СправочникВидыНоменклатуры_УстановитьРеквизитыЦенообразования

// Возвращает набор доступных правок текста запроса Расходы после распределения источники
//
// Параметры: 
//
// Возвращаемое значение: 
// 	Структура
//
Функция ДокументРаспределениеПрочихЗатрат_ТекстЗапросаРасходыПослеРаспределенияИсточники() Экспорт
	
	Результат	= исперп_Описание.Создать();
	
	Текст	= "Перенесено из 1C:ERP 2.5.7.394, потому как ненулевой остаток НУ в НЗП по логике проверки выдает ошибку распределения";

	Методы	= "Документ.РаспределениеПрочихЗатрат.исперп_ТекстЗапросаРасходыПослеРаспределенияИсточники";
	
	исперп_Описание.Идентификатор(Результат, исперп_Идентификатор
	.ДокументРаспределениеПрочихЗатрат_ТекстЗапросаРасходыПослеРаспределенияИсточники());
	исперп_Описание.Вид(Результат, исперп_Вид.Код());
	исперп_Описание.Область(Результат, исперп_Область.Производство());
	исперп_Описание.ВерсияМин(Результат, "2.5.10");
	исперп_Описание.ВерсияМакс(Результат, "2.5.11");
	исперп_Описание.Текст(Результат, Текст);
	исперп_Описание.Методы(Результат, Методы);
	
	Возврат Результат;
	
КонецФункции // ДокументРаспределениеПрочихЗатрат_ТекстЗапросаРасходыПослеРаспределенияИсточники

#КонецОбласти

#Область СлужебныйПрограммныйИнтерфейс

#КонецОбласти

#Область СлужебныеПроцедурыИФункции

#КонецОбласти

// BSLLS:NestedFunctionInParameters-on
// BSLLS:EmptyRegion-on
 